backend:
  name: git-gateway
  branch: main

media_folder: "public/media"
public_folder: "/media"

site_url: "/"
display_url: "/"

collections:
  - name: "albums"
    label: "Albums"
    label_singular: "Album"
    folder: "content/albums"
    create: true
    slug: "{{slug}}"
    extension: "json"
    format: "json"
    fields:
      - label: "Meta"
        name: "meta"
        widget: "object"
        fields:
          - { label: "Artist Header (top bar)", name: "artistHeader", widget: "string", default: "DJ DARK DREAMWEAVER" }
          - { label: "Album Line (left banner)", name: "albumLine", widget: "string", default: "ARCHIVE // ALBUM_TITLE" }
          - { label: "Year Line (right banner)", name: "yearLine", widget: "string", default: "STAMP // 2025" }
          - { label: "Band Hero Text (supports <br> or \n)", name: "bandHeroHtml", widget: "string", default: "BAND<br>NAME" }
          - { label: "Notes (Obsidian-style)", name: "notes", widget: "text", default: "// Notes\n// ...", required: false }
      - label: "Tracks"
        name: "tracks"
        widget: "list"
        allow_add: true
        collapsed: true
        summary: "{{fields.id}} — {{fields.title}}"
        fields:
          - { label: "Visible", name: "visible", widget: "boolean", default: true }
          - { label: "Track ID (01, 02...)", name: "id", widget: "string" }
          - { label: "Title", name: "title", widget: "string" }
          - { label: "Artist", name: "artist", widget: "string", default: "DJ DARK DREAMWEAVER" }
          - { label: "Album", name: "album", widget: "string" }
          - { label: "Year", name: "year", widget: "string" }
          - { label: "Audio URL (direct .mp3/.m4a/.wav)", name: "audioSrc", widget: "string" }
          - { label: "Art URL (jpg/png/webp)", name: "artSrc", widget: "string", required: false }
          - { label: "Lyrics (paste text)", name: "lyrics", widget: "text", required: false }
          - { label: "Download filename", name: "downloadName", widget: "string", required: false }


  - name: "singles"
    label: "Singles"
    label_singular: "Single Page"
    folder: "content/singles"
    create: true
    slug: "{{slug}}"
    extension: "json"
    format: "json"
    fields:
      - label: "Meta"
        name: "meta"
        widget: "object"
        fields:
          - { label: "Artist Header (top bar)", name: "artistHeader", widget: "string", default: "DJ DARK DREAMWEAVER" }
          - { label: "Line (banner)", name: "albumLine", widget: "string", default: "SINGLE // TITLE" }
          - { label: "Year Line", name: "yearLine", widget: "string", default: "STAMP // 2025" }
          - { label: "Hero Text (supports <br> or \n)", name: "bandHeroHtml", widget: "string", default: "DJ<br>DARK" }
          - { label: "Notes (Obsidian-style)", name: "notes", widget: "text", default: "// Notes\n// ...", required: false }
      - label: "Tracks"
        name: "tracks"
        widget: "list"
        allow_add: true
        collapsed: true
        summary: "{{fields.id}} — {{fields.title}}"
        fields:
          - { label: "Visible", name: "visible", widget: "boolean", default: true }
          - { label: "Track ID", name: "id", widget: "string" }
          - { label: "Title", name: "title", widget: "string" }
          - { label: "Artist", name: "artist", widget: "string", default: "DJ DARK DREAMWEAVER" }
          - { label: "Album (optional)", name: "album", widget: "string", default: "SINGLES" }
          - { label: "Year", name: "year", widget: "string", default: "2025" }
          - { label: "Audio URL (direct .mp3/.m4a/.wav)", name: "audioSrc", widget: "string" }
          - { label: "Art URL (jpg/png/webp)", name: "artSrc", widget: "string", required: false }
          - { label: "Lyrics (paste text)", name: "lyrics", widget: "text", required: false }
          - { label: "Download filename", name: "downloadName", widget: "string", required: false }
